Skip to main content
GET
List business account activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

businessAccountId
string
required

ID of the business account

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

limit
integer
default:50

Maximum number of activity entries to return

Required range: 1 <= x <= 100
cursor
string<uuid>

Identifier of the last entry from the previous page

Response

Successful response with activity entries

entries
object[]
required
nextCursor
string | null
required

Cursor for fetching the next page, null if no more pages

Last modified on August 26, 2026